/*ONBoard LED Test using Serial Port
  Created 11/5/2021
  Ron Kessler
  
  Works with Visual Studio 2019 C# Desktop App
  VS sends character via USB and it is decoded here
  and toggles the onboard LED (Pin 13).

  UPDATED:
    11/5/2021 Initial testing
*/

//---the message received
char message;

//--define the LED pin
const int myLEDPin = 13;


void setup()
{
 //---start serial/USB communication channel at 9600 baud rate
 Serial.begin(9600);

 //---define LEDPin for output mode
 pinMode(myLEDPin, OUTPUT);     
}

void loop()
{
 if (Serial.available() > 0)  //make sure serial port is active
 {
    message = Serial.read();  //if yes, read in the data received
      if (message == 'N')     //if "ON" then turn on LED else turn it off
            digitalWrite(myLEDPin, HIGH);
      else if (message == 'F')
            digitalWrite(myLEDPin, LOW);
 }
 
}
